'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var Icon = require('../Icon-de9d009b.js');
var React = _interopDefault(require('react'));
require('@rocketsoftware/icon-helpers');
require('prop-types');

var ArrowUpLeft20 =
/*#__PURE__*/
React.forwardRef(function ArrowUpLeft20(props, ref) {
  return React.createElement(Icon.Icon, Icon._extends({
    width: 20,
    height: 20,
    viewBox: "0 0 32 32",
    ref: ref
  }, props), React.createElement("polygon", {
    points: "22 6 22 8 9.41 8 26 24.59 24.59 26 8 9.41 8 22 6 22 6 6 22 6"
  }), props.children);
});

module.exports = ArrowUpLeft20;
